<?php
/**
 * Mirasvit
 *
 * This source file is subject to the Mirasvit Software License, which is available at https://mirasvit.com/license/.
 * Do not edit or add to this file if you wish to upgrade the to newer versions in the future.
 * If you wish to customize this module for your needs.
 * Please refer to http://www.magentocommerce.com for more information.
 *
 * @category  Mirasvit
 * @package   mirasvit/module-email
 * @version   2.5.5
 * @copyright Copyright (C) 2023 Mirasvit (https://mirasvit.com/)
 */


declare(strict_types=1);

//@codingStandardsIgnoreFile
namespace Mirasvit\Email\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;

class SalesRule implements ArrayInterface
{
    protected $rule;

    protected $context;

    protected $registry;

    protected $resource;

    protected $resourceCollection;


    public function __construct(
        \Magento\SalesRule\Model\Rule $rule,
        \Magento\Framework\Model\Context $context,
        \Magento\Framework\Registry $registry,
        \Magento\Framework\Model\ResourceModel\AbstractResource $resource = null,
        \Magento\Framework\Data\Collection\AbstractDb $resourceCollection = null
    ) {
        $this->rule = $rule;
        $this->context = $context;
        $this->registry = $registry;
        $this->resource = $resource;
        $this->resourceCollection = $resourceCollection;
    }

    /**
     * @return array
     */
    public function toArray()
    {
        $result = [];

        $rules = $this->rule->getCollection()
            ->setPageSize(100)
            ->addFieldToFilter('use_auto_generation', 1);

        foreach ($rules as $rule) {
            $result[$rule->getId()] = $rule->getName();
        }

        return $result;
    }

    /**
     * @return array
     */
    public function toOptionArray()
    {
        $options = self::toArray();
        $result = [];

        foreach ($options as $key => $value) {
            $result[] = [
                'value' => $key,
                'label' => $value,
            ];
        }

        return $result;
    }
}
